| Bsoft 2.0.5 Bernard's software package

Functions
bshow_model.tcl File Reference

Procedures to create and destroy model components and links in images. More...

Go to the source code of this file.

## Functions
| setupModelMenu
| Menu for opening and closing parameter files. More...
| Model
| Dialog box to manipulate componets and links on the main canvas. More...
| toggleCompTypeSelection id sel
| updateCompTypeTable
| Updates the component type table from the model parameters in memory. More...
| convertImageToModel x y z
| Converts image coordinates to model coordinates. More...
| componentSelect x y
| Selects a component. More...
| linkSelect x y
| Selects a link. More...
| createUpdateComponentType
| Creates or updates a component type. More...
| componentCreateSelect x y
| Creates or selects a component. More...
| linkCreate x y
| Creates a link if a starting component is selected. More...
| componentMove x y
| Moves the selected component to the new coordinates. More...
| componentMoveSelectedUpDown dz
| Moves the selected component one slice up or down. More...
| componentDraw id
| Draws a component on the canvas. More...
| drawSphere c x y z rad col width lbl fill tag
| drawLine c x1 y1 z1 x2 y2 z2 width col tag
| linkDraw id1 id2
| Draws a link line connecting two components on the canvas. More...
| objectsDrawAll args
| Draws all components and links on the canvas. More...
| componentsDrawAll
| Draws all components on the canvas. More...
| linksDrawAll
| Draws all links on the canvas. More...
| componentDelete x y
| Deletes the selected component. More...
| linkDelete x y
| Deletes the selected link. More...
| objectsDeleteAll
| Deletes all components and links. More...
| deleteNonSelectedObjects
| Deletes all components and links that are not selected. More...
| setComponentRadius
| Sets radii of selected components. More...
| setLinkRadius
| Sets radii of selected links. More...
| setSelection args
| Sets the selection of components. More...
| setColor
| Sets the color for selected components. More...
| setViews
| Sets the views relative to the origin. More...
| extractSegments
| Extracts all panels tagged by the component list. More...
| componentsToParticles
| Generates particles from the component list. More...
| readModel
| Reads model from a file. More...
| loadModel thefile
| writeModel
| Saves the component and link model to a file. More...
| editModel
| Edits a text parameter file. More...
| Shell
| Dialog box for creating a shell (ring for 2D) More...
| componentSymmetry
| Analyzes model components to determine cyclic symmetry. More...
| doComponentSymmetry w

## Detailed Description

Procedures to create and destroy model components and links in images.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20160601

Definition in file bshow_model.tcl.

## Function Documentation

## ◆ componentCreateSelect()

componentCreateSelect |  |  | x y

Creates or selects a component.

Parameters

  x |
  y | Component position in canvas coordinates.

Definition at line 411 of file bshow_model.tcl.

## ◆ componentDelete()

componentDelete |  |  | x y

Deletes the selected component.

Parameters

  x |
  y | Cooordinates on the canvas.

Definition at line 688 of file bshow_model.tcl.

## ◆ componentDraw()

componentDraw |  |  | id

Draws a component on the canvas.

Parameters

  id | Component identifier.

Definition at line 537 of file bshow_model.tcl.

## ◆ componentMove()

componentMove |  |  | x y

Moves the selected component to the new coordinates.

Parameters

  x |
  y | Component position in canvas coordinates.

Definition at line 488 of file bshow_model.tcl.

## ◆ componentMoveSelectedUpDown()

componentMoveSelectedUpDown |  |  | dz

Moves the selected component one slice up or down.

Parameters

  dz | Number of slices (+ up, - down)

Definition at line 516 of file bshow_model.tcl.

## ◆ componentsDrawAll()

componentsDrawAll

Draws all components on the canvas.

Definition at line 635 of file bshow_model.tcl.

## ◆ componentSelect()

componentSelect |  |  | x y

Selects a component.

Parameters

  x |
  y | Position in canvas coordinates.

Definition at line 291 of file bshow_model.tcl.

## ◆ componentsToParticles()

componentsToParticles

Generates particles from the component list.

Definition at line 830 of file bshow_model.tcl.

## ◆ componentSymmetry()

componentSymmetry

Analyzes model components to determine cyclic symmetry.

Definition at line 983 of file bshow_model.tcl.

## ◆ convertImageToModel()

convertImageToModel |  |  | x y z

Converts image coordinates to model coordinates.

Parameters

  x |
  y |
  z | Position in image coordinates.

Definition at line 275 of file bshow_model.tcl.

## ◆ createUpdateComponentType()

createUpdateComponentType

Creates or updates a component type.

Definition at line 360 of file bshow_model.tcl.

## ◆ deleteNonSelectedObjects()

deleteNonSelectedObjects

Deletes all components and links that are not selected.

Definition at line 737 of file bshow_model.tcl.

## ◆ doComponentSymmetry()

doComponentSymmetry |  |  | w

Definition at line 1011 of file bshow_model.tcl.

## ◆ drawLine()

drawLine |  |  | c x1 y1 z1 x2 y2 z2 width col tag

Definition at line 576 of file bshow_model.tcl.

## ◆ drawSphere()

drawSphere |  |  | c x y z rad col width lbl fill tag

Definition at line 550 of file bshow_model.tcl.

## ◆ editModel()

editModel

Edits a text parameter file.

Definition at line 938 of file bshow_model.tcl.

## ◆ extractSegments()

extractSegments

Extracts all panels tagged by the component list.

Definition at line 815 of file bshow_model.tcl.

## ◆ linkCreate()

linkCreate |  |  | x y

Creates a link if a starting component is selected.

Parameters

  x |
  y | Ending component position in canvas coordinates.

Definition at line 465 of file bshow_model.tcl.

## ◆ linkDelete()

linkDelete |  |  | x y

Deletes the selected link.

Parameters

  x |
  y | Cooordinates on the canvas.

Definition at line 705 of file bshow_model.tcl.

## ◆ linkDraw()

linkDraw |  |  | id1 id2

Draws a link line connecting two components on the canvas.

Parameters

  id1 | Component 1 identifier.
  id2 | Component 2 identifier.

Definition at line 606 of file bshow_model.tcl.

## ◆ linksDrawAll()

linksDrawAll

Draws all links on the canvas.

Definition at line 664 of file bshow_model.tcl.

## ◆ linkSelect()

linkSelect |  |  | x y

Selects a link.

Parameters

  x |
  y | Position in canvas coordinates.

Definition at line 333 of file bshow_model.tcl.

## ◆ loadModel()

loadModel |  |  | thefile

Definition at line 880 of file bshow_model.tcl.

## ◆ Model()

Model

Dialog box to manipulate componets and links on the main canvas.

Definition at line 59 of file bshow_model.tcl.

## ◆ objectsDeleteAll()

objectsDeleteAll

Deletes all components and links.

Definition at line 720 of file bshow_model.tcl.

## ◆ objectsDrawAll()

objectsDrawAll |  |  | args

Draws all components and links on the canvas.

Definition at line 626 of file bshow_model.tcl.

## ◆ readModel()

readModel

Reads model from a file.

Definition at line 840 of file bshow_model.tcl.

## ◆ setColor()

setColor

Sets the color for selected components.

Definition at line 790 of file bshow_model.tcl.

## ◆ setComponentRadius()

setComponentRadius

Sets radii of selected components.

Definition at line 746 of file bshow_model.tcl.

## ◆ setLinkRadius()

setLinkRadius

Sets radii of selected links.

Definition at line 762 of file bshow_model.tcl.

## ◆ setSelection()

setSelection |  |  | args

Sets the selection of components.

Definition at line 773 of file bshow_model.tcl.

## ◆ setupModelMenu()

setupModelMenu

Menu for opening and closing parameter files.

Definition at line 27 of file bshow_model.tcl.

## ◆ setViews()

setViews

Sets the views relative to the origin.

Definition at line 807 of file bshow_model.tcl.

## ◆ Shell()

Shell

Dialog box for creating a shell (ring for 2D)

Definition at line 948 of file bshow_model.tcl.

## ◆ toggleCompTypeSelection()

toggleCompTypeSelection |  |  | id sel

Definition at line 232 of file bshow_model.tcl.

## ◆ updateCompTypeTable()

updateCompTypeTable

Updates the component type table from the model parameters in memory.

Definition at line 246 of file bshow_model.tcl.

## ◆ writeModel()

writeModel

Saves the component and link model to a file.

Definition at line 900 of file bshow_model.tcl.